Last Comment Bug 747224 - [layout view] handle the key events correctly
: [layout view] handle the key events correctly
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Inspector (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Firefox 15
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 747218
  Show dependency treegraph
 
Reported: 2012-04-19 15:52 PDT by Paul Rouget [:paul]
Modified: 2012-05-16 13:27 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1 (4.68 KB, patch)
2012-05-10 07:47 PDT, Paul Rouget [:paul]
no flags Details | Diff | Review
patch v1.1 (3.86 KB, patch)
2012-05-14 04:39 PDT, Paul Rouget [:paul]
dcamp: review+
Details | Diff | Review

Description Paul Rouget [:paul] 2012-04-19 15:52:44 PDT

    
Comment 1 Paul Rouget [:paul] 2012-05-10 07:47:54 PDT
Created attachment 622725 [details] [diff] [review]
patch v1
Comment 2 Paul Rouget [:paul] 2012-05-10 07:51:26 PDT
Comment on attachment 622725 [details] [diff] [review]
patch v1

The goal of this patch is to forward the key events to the inspector.
Comment 3 Dave Camp (:dcamp) 2012-05-10 11:16:57 PDT
Comment on attachment 622725 [details] [diff] [review]
patch v1

Review of attachment 622725 [details] [diff] [review]:
-----------------------------------------------------------------

Should the inspector just be attaching event handlers to the sidebar that handle bubbling events?
Comment 4 Paul Rouget [:paul] 2012-05-14 02:54:00 PDT
(In reply to Dave Camp (:dcamp) from comment #3)
> Comment on attachment 622725 [details] [diff] [review]
> patch v1
> 
> Review of attachment 622725 [details] [diff] [review]:
> -----------------------------------------------------------------
> 
> Should the inspector just be attaching event handlers to the sidebar that
> handle bubbling events?

That would be the logic way to do it. I'll do that.
Comment 5 Paul Rouget [:paul] 2012-05-14 04:17:53 PDT
Actually, the more I think about it, the less I think we should support the arrow keys in the layout view.
Comment 6 Paul Rouget [:paul] 2012-05-14 04:39:00 PDT
Created attachment 623632 [details] [diff] [review]
patch v1.1
Comment 7 Paul Rouget [:paul] 2012-05-14 04:43:08 PDT
Comment on attachment 623632 [details] [diff] [review]
patch v1.1

In this patch I just avoid any scroll operations in the iframe. I preventDefault() the key events. I didn't find any better way to do. Preventing the scroll events doesn't work. Any idea of how I can improve that?

The space key let the user toggle the view (when focused). Bug 747222 will introduce a more generic key shortcut.
Comment 8 Paul Rouget [:paul] 2012-05-14 04:44:47 PDT
Comment on attachment 623632 [details] [diff] [review]
patch v1.1

and I'm fixing a type (focusring).
Comment 9 Paul Rouget [:paul] 2012-05-14 04:45:04 PDT
s/type/typo :)
Comment 11 Rob Campbell [:rc] (:robcee) 2012-05-16 13:27:43 PDT
https://hg.mozilla.org/mozilla-central/rev/d2e8c2ee67ae

Note You need to log in before you can comment on or make changes to this bug.